Bug 139567 - ia32el that comes with RHEL4, "current->personality" is always zero
Summary: ia32el that comes with RHEL4, "current->personality" is always zero
Status: CLOSED DUPLICATE of bug 139701
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils   
(Show other bugs)
Version: 4.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 135876
TreeView+ depends on / blocked
 
Reported: 2004-11-16 18:34 UTC by sheryl sage
Modified: 2015-01-04 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 09:30:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sheryl sage 2004-11-16 18:34:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
VERITAS is using "current->personality == PER_LINUX32" to determine 
whether a call into the kernel came from a 64-bit or 32-bit process, 
so that it could do the correct structure decoding.  But with the new 
ia32el that comes with RHEL4, "current->personality" is always zero, 
so VERITAS will think that all calls are from 64-bit processes, and 
incorrectly decode the structure. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
#if defined(CONFIG_IA64)
#define VOL_IS_32BIT_APP (personality(current->personality) == 
PER_LINUX32) #elif defined(__x86_64__) #define VOL_IS_32BIT_APP 
(test_thread_flag(TIF_IA32)) #else /* defined(__i386__) */ #define 
VOL_IS_32BIT_APP (1) #endif

    

Actual Results:  zero.

Expected Results:  Should return information that the caller is 32-
bit or 64-bit.


Additional info:

Comment 3 Bob Johnson 2004-12-06 17:20:40 UTC
Sheryl, you should be able to test this issue with the pre-RC drop due
later today.

Comment 4 Bob Johnson 2004-12-10 00:45:00 UTC
Sheryl any feedback ?


Note You need to log in before you can comment on or make changes to this bug.